%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Cross Platform WebQQ Protocol
Name:		lwqq
Version:	0.6.1
Release:	%mkrel 6
License:	GPLv3
Group:		Networking/Instant messaging
Url:		https://github.com/xiehuc/lwqq
Source0:	https://github.com/xiehuc/lwqq/archive/v%{version}/%{name}-%{version}.tar.gz
# (blino) pthread is needed in async.c and msg.c
Patch0:		lwqq-0.4.0-pthread.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(mozjs185)

%description
lwqq means light weight QQ (also Linux webqq).
It provide a library for the webqq protocol.

lwqq is designed as cross platform and also provide a Python API to
support quick development.

lwqq is currently used in many open source projects.
The most well known is pidgin-lwqq.

%package -n %{libname}
Group:		System/Libraries
Summary:        Cross Platform WebQQ Protocol
Requires:       %{name}-data >= %{version}-%{release}

%description -n %{libname}
lwqq means light weight QQ (also Linux webqq).
It provide a library for the webqq protocol.

%package data
Summary:        Common data files for %{name}
BuildArch:      noarch

%description data
lwqq means light weight QQ (also Linux webqq).
It provide a library for the webqq protocol.

This package contains common data files.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_libdir}/lib%{name}.a

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files data
%dir %{_datadir}/lwqq/
%{_datadir}/lwqq/encrypt.js

%files -n %{develname}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so


%changelog
* Mon Mar 14 2022 umeabot <umeabot> 0.6.1-6.mga9
+ Revision: 1791028
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 daviddavid <daviddavid> 0.6.1-5.mga8
+ Revision: 1490112
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- update URL

* Sun Sep 09 2018 wally <wally> 0.6.1-4.mga7
+ Revision: 1258003
- rebuild for aarch64

* Sun Sep 09 2018 wally <wally> 0.6.1-3.mga7
+ Revision: 1257970
- drop mozjs17 requires from devel pkg

* Sat Oct 07 2017 cjw <cjw> 0.6.1-2.mga7
+ Revision: 1169859
- build with mozjs185

* Fri Jul 21 2017 wally <wally> 0.6.1-1.mga7
+ Revision: 1125936
- new version 0.6.1

* Mon Feb 08 2016 umeabot <umeabot> 0.4.0-4.mga6
+ Revision: 945182
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 743029
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 682059
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sun Aug 24 2014 blino <blino> 0.4.0-1.mga5
+ Revision: 666965
- initial release
- Created package structure for lwqq.

